# coding: utf-8
import json
import logging
import os

BASE_PATH = os.path.dirname(__file__)
file_name = os.path.join('/etc/junta', 'server.json')
try:
    # чтение конфигов
    with open(file_name) as f:
        settings = json.load(f)
except IOError:
    logging.error('Could not open config file "{}"'.format(file_name))
    exit()

if 'recipes_path' not in settings:
    logging.error('"recipes_path" option must be specified')
    exit()
RECIPES_PATH = settings['recipes_path']

if 'agents_port' not in settings:
    logging.error('"agents_port" not in settings')
    AGENTS_PORT = 8001
else:
    AGENTS_PORT = settings['agents_port']
    
if 'browsers_port' not in settings:
    logging.error('"browsers_port" not in settings')
    BROWSERS_PORT = 8002
else:
    BROWSERS_PORT = settings['browsers_port']
    
    
if 'protocol' not in settings:
    logging.error('"protocol" not in settings')
    PROTOCOL = "https"
else:
    PROTOCOL = settings['protocol']